Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 21 reacties
Bron: Mozilla Foundation

De Mozilla Thunderbird logo (75 pix)Mozilla Foundation heeft de tweede update voor Thunderbird 3.0 beschikbaar gemaakt. Mozilla Thunderbird is een opensource mail- en nieuwsgroepclient met features zoals ondersteuning voor meerdere mail- en newsaccounts, een junkmailfilter, een spellingcontrole en een aanpasbaar uiterlijk. In versie 3.0 is een groot aantal veranderingen doorgevoerd, onder meer aan de autoconfiguratiemodule. Verder maakt Thunderbird nu gebruik van tabs, kunnen berichten als conversatie worden gegroepeerd en is de zoekfunctionaliteit sterk verbeterd. In versie 3.0.2 zijn onder andere verbeteringen aangebracht voor gebruikers die van versie 2.0 overstappen naar 3.0. Het changelog maakt verder melding van IMAP-verbeteringen en enkele bugfixes:

New in Thunderbird 3.0.2:

  • Several fixes to improve stability and security, see the Security Advisory.
  • Fixes for Thunderbird 2 users upgrading to Thunderbird 3.
  • Several fixes to IMAP.

Please see the complete list of changes in this version.

Mozilla Thunderbird 3.0

Moderatie-faq Wijzig weergave

Reacties (21)

Eigenlijk wel het meest frustrerende aan het hele add-on systeem van Thunderbird en Firefox: telkens weer add-ons die uitgeschakeld worden tot er een compatibele versie uit komt.
Ze hadden misschien moeten kiezen voor een enigszins toekomstbestendige API zodat enkel bij major releases je add-ons incompatibel worden.
Je bent natuurlijk niet verplicht om de laatste major versie te gebruiken. De vorige versie wordt ook nog een half jaar ondersteund. Na een half jaar zijn minimaal 95% van de addon's compatibel met de laatste versie. (Firefox 3.6 is een maand uit, en daar is nu 92% compatibel. )

Met deze addon worden alle extensies niet meer gecontroleerd op versie en kun je melden als een extensie niet meer (goed) werkt.

Edit: Het nieuwe uitbreidingensysteem van Firefox en Thunderbird, Jetpacks, is natuurlijk wel toekomstbestendig. Deze Jetpacks zijn makkelijker te maken, en je hoeft de browser ook niet meer opnieuw op te starten. Ook is dit systeem veel lichter en veiliger omdat het alleen HTML, CSS, en JavaScript hoeft te interpreteren.

[Reactie gewijzigd door Theodoor-nl op 25 februari 2010 23:38]

Ben het wel met je eens. Verder heb ik de indruk dat het sinds v1.0 eigenlijk alleen maar trager wordt. De opstarttijd is nu wel erg lang. Vergelijk dat eens met een client als DreamMail. Wereld van verschil.
"DreamMail does not support IMAP accounts and lacks effective spam filtering". 2x Instant Dealbreaker.

TB start ik eigenlijk maar 1x per dag op, en zelfs op m'n single core 1,8GHz met 4200rpm HD (mét lightning) vind ik TB2 iig niet irritant traag...
Ik gebruik ze naast elkaar. Heb een tijdje ook pop3 accounts op TB gedraaid, maar toen ik DreamMail ontdekte, heb ik die daarheen gemigreerd.
Imap draait nog op TB.
Ben niet ontevreden hoor, maar er is wel een performance verschil. Hopelijk komt er een keer een speedpusher :+
9/10 keer werken ze wel als je in Firefox in je about:config die versie check uit zet.
Het is meer een stukje safety, zodat voor de 1/10 keer dat het misgaat je niet in safe mode hoeft te gaan starten etc.
Bij firefox ben ik zeker, daar zit tegenwoordig een systeem in dat je de compatibiliteits check zelf kunt uitschakelen als je het vertrouwt.

Maar dit houd risicos in want je weet natuurlijk niet of bepaalde updates bepaalde functionaliteiten beinvloeden.

bv: Als je iets aan een javascript functionaliteit wijzigt wegens security redenen kan het goed zijn dat een addon die hier op rekent plotseling niet meer werkt of problemen veroorzaakt.
Heb je dat liever?

En dit verplicht ook addon leveranciers om alles een beetje bij te houden en niet te verwaarlozen wil je populair blijven.
Het is inderdaad erg vervelend als de add-on niet meer compatible is, soms is dat overigens gemakkelijk te verhelpen (door de add-on zelf te patchen of de versie-controle uit te zetten). Vaak betekent het niet compatibel echter ook dat de add-on zelf niet meer verder ontwikkeld wordt en je dus het beste naar een alternatief kunt kijken.
Ze hadden misschien moeten kiezen voor een enigszins toekomstbestendige API zodat enkel bij major releases je add-ons incompatibel worden.
Op zich wel ja, maar daar lever je dan ook weer een stuk functionaliteit en flexibiliteit voor in voor wat betreft de mogelijkheden van de add on. Overigens is men wel degelijk bezig om een nieuwe add-on API te maken (in elk geval voor Fx), waarbij dit probleem tot het verleden zou moeten behoren...
Ik heb met deze nieuwe thunderbird veel moeite gehad om pop3 accounts in te stellen, op de 1 of andere reden wil hij er niet echt aan en worden ze sowieso nooit gedetecteerd bij de automatisch scan. Verder werkt alles top.
Klopt, ik had daar ook moeite mee. Sterker nog: op de normale manier lukte het mij niet. TB stelt een MAPI account samen die niet te wijzigen leek. Uiteindelijk heb ik een fake email-adres op een fake-domein ingevoerd en toen pas kwam TB met POP3 instellingen die ik zelf weer kon bijwerken.
En weer werkt lightning tijdelijk niet. Waarom maken ze die niet eerst compaitble, en geven ze daarna de update uit? Ja, ik weet dat je hem ook kan weigeren, maar ik vind het eigenlijk wel logisch dat het in een andere volgorde gaat. ;)
Volgens mij doe je iets fout. Werkt hier prima.

Wel heb ik nog steeds randomly een voorbeeldvenster die ik helemaal niet wil.
Ik zie er nog geen fix in staan voor de bug in het berichtvenster. Ik heb deze uit staan, maar een keer in de zoveel tijd reset deze instelling zich en dan staat het berichtvenster er weer als ik thunderbird op start. Geen ramp, maar wel wat vervelend.
Verdorie, deze release onthoud nog steeds niet je mappen selectie voor de "Slimme mappen". Elke keer dat ik TB restart moet ik handmatig allemaal vinkjes gaan zetten.
Ik hoop dat in deze versie de bug opgelost is dat als je meerdere Thunderbird 3 clients gebruikt (bijvoorbeeld op je thuis pc, laptop, werk pc) de wijzigingen die je in een mailbox via de ene Thunderbird 3 client doet (bijvoorbeeld deleten van mail) niet geëffectueerd zijn in de andere clients. Dit was voor mij genoeg reden om terug te gaan naar Thunderbird 2.0.0.23.

[Reactie gewijzigd door d3vlin op 26 februari 2010 11:49]

Ik ben op het werk teruggegaan naar TB 2.0.0.23 vanwege de indexering die TB 3 doet, in een test werd de server waar onze IMAP server op draait alle rekenkracht geheel in beslag genomen door het indexeren door TB 3 van 1 gebruiker. Als alle 20 gebruikers dat gaan doen is iedereen een halve dag bezig met indexeren en ligt de IMAP server op z'n gat voor andere taken.

Als het indexeren is voltooid werkt het wel lekker maar met mailboxen van rond de 500 MB duurt het veel te lang.
blijkbaar nog altijd geen oplossing voor het erg vervelende probleem waar bij het intypen van de ontvanger niet meer de meest gebruikte ontvangers eerst worden voorgesteld?

edit: blijkt inderdaad wel te zijn opgelost, maar hij moet alles van vooraf aan opnieuw gaan uitzoeken. De instellingen van vorige versies zijn blijkbaar verdwenen

[Reactie gewijzigd door vampke op 26 februari 2010 13:27]

Lopburi Flat, does that ring a bell? Jammer dat die skin niet voor TB 2of 3 er is. Was voor 1.5, heerlijke skin was dat.
Voor Kazu, vampke & Sypher hierboven: als de bugs waar jullie over reppen nog niet bekend zijn, worden ze ook niet opgelost... Je zou dus kunnen kijken of ze al ingeschoten zijn. Zo niet, doe het dan. Zo help je zelf ook om een stukje Open Source software te verbeteren!

edit: de bug van vampke blijkt opgelost...

[Reactie gewijzigd door Bux666 op 26 februari 2010 10:08]

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True